/// class PD.Manage.Services.SelectionListItemService

PD.Manage.Services.SelectionListItemService =
Class.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    deleteListItems: function (ids, confirmation, success, error) {

        var that = this;

        PD.ajax({
            contentType: "application/json",
            type: "DELETE",
            url: ProspectDirector.RUNTIME.resolveUrl("~/manage/selectionlist/deleteitem"),
            data: JSON.stringify({
                ids: ids,
                confirmation: confirmation
            }),
            success: success,
            error: error
        });

    },

    reorderListItems: function (listId, targetId, ids, success) {

        PD.ajax({
            contentType: "application/json",
            type: "POST",
            url: ProspectDirector.RUNTIME.resolveUrl("~/manage/selectionlist/moveitems"),
            data: JSON.stringify({
                listId: listId,
                targetId: targetId,
                itemIds: ids
            }),
            success: success
        });

    }

});